require 'extensions.rb'
require 'LangHandler.rb'

Dir.chdir Sketchup.find_support_file("Plugins")

# Extension Manager
$uStrings = LanguageHandler.new("Gestionnaires de calques")
#Layer_Manager_Extension = SketchupExtension.new $uStrings.GetString("Gestionnaires de calques"), "Layer Manager/fr_layer_manager_v6.rb"
Layer_Manager_Extension = SketchupExtension.new $uStrings.GetString("Gestionnaires de calques"), "Layer Manager/fr_layer_manager_v6.rb"
Layer_Manager_Extension.description=$uStrings.GetString("Gere vos etats de calques.")
Layer_Manager_Extension.name= "Gestionnaire de calques"
Layer_Manager_Extension.creator = "Didier Bur"
Layer_Manager_Extension.copyright = "04.12.2007, CRAI - Didier Bur"
Layer_Manager_Extension.version = "2.0 mise a jour pour GSU v6"

Sketchup.register_extension Layer_Manager_Extension, true

# Run
def exec_on_autoload
  puts("Gestionnaire de calques charge.")
end

if( not $layer_manager_menu_loaded )

#Layers toolbar
  #------------------
  layers_tb = UI::Toolbar.new("Gestionnaire de Calques")
  
  # Set layer of current selection as current layer
  cmd0 = UI::Command.new(("Rendre courant le calque de la selection")) { (lm_set_current) }
  cmd0.small_icon = "Layer Manager/Calques_selection_courant_Small.png"
  cmd0.large_icon = "Layer Manager/Calques_selection_courant_Large.png"
  cmd0.tooltip = "Rendre courant le calque de la selection"
  layers_tb.add_item(cmd0)
  
  # move selection to current layer
  cmd00 = UI::Command.new(("Mettre la selection sur le calque courant")) { (lm_selection_to_current) }
  cmd00.small_icon = "Layer Manager/Calques_selection_vers_courant_Small.png"
  cmd00.large_icon = "Layer Manager/Calques_selection_vers_courant_Large.png"
  cmd00.tooltip = "Mettre la selection sur le calque courant"
  layers_tb.add_item(cmd00)
  
  layers_tb.add_separator
  
  #Display layer config
  cmd1 = UI::Command.new(("Afficher etat de calques")) { (lm_display_config) }
  cmd1.small_icon = "Layer Manager/Config_calques_afficher_Small.png"
  cmd1.large_icon = "Layer Manager/Config_calques_afficher_Large.png"
  cmd1.tooltip = "Afficher etat de calques"
  layers_tb.add_item(cmd1)
  
  #Save layer config
  cmd3 = UI::Command.new(("Enregistrer etat de calques")) { (lm_save_layers_config_skp) }
  cmd3.small_icon = "Layer Manager/Config_calques_enregistrer_Small.png"
  cmd3.large_icon = "Layer Manager/Config_calques_enregistrer_Large.png"
  cmd3.tooltip = "Enregistrer etat de calques"
  layers_tb.add_item(cmd3)
  
  #Restore layer config
  cmd2 = UI::Command.new(("Restaurer etat de calques")) { (lm_load_layers_config_skp) }
  cmd2.small_icon = "Layer Manager/Config_calques_charger_Small.png"
  cmd2.large_icon = "Layer Manager/Config_calques_charger_Large.png"
  cmd2.tooltip = "Restaurer etat de calques"
  layers_tb.add_item(cmd2)
  
  #Restore layer config from SKP - Show only
  cmd21 = UI::Command.new(("Restaurer etat de calque (tel qu'enregistre)")) { (lm_load_layers_config_skp_show_only) }
  cmd21.small_icon = "Layer Manager/Config_calques_chargerso_Small.png"
  cmd21.large_icon = "Layer Manager/Config_calques_chargerso_Large.png"
  cmd21.tooltip = "Restaurer etat de calque (tel qu'enregistre)"
  layers_tb.add_item(cmd21)
  
  #Restore layer config from SKP - Show only
  cmd211 = UI::Command.new(("Restaurer etat de calque (ajouter)")) { (lm_load_layers_config_skp_append) }
  cmd211.small_icon = "Layer Manager/Config_calques_chargerap_Small.png"
  cmd211.large_icon = "Layer Manager/Config_calques_chargerap_Large.png"
  cmd211.tooltip = "Restaurer etat de calque (ajouter)"
  layers_tb.add_item(cmd211)
  
  #Save layer config to file
  cmd31 = UI::Command.new(("Enregistrer etats de calques dans fichier")) { (lm_save_layers_config_file) }
  cmd31.small_icon = "Layer Manager/Config_calques_enregistrerf_Small.png"
  cmd31.large_icon = "Layer Manager/Config_calques_enregistrerf_Large.png"
  cmd31.tooltip = "Enregistrer etats de calques dans fichier"
  layers_tb.add_item(cmd31)
  
  #Restore layer config from file
  cmd2111 = UI::Command.new(("Charger fichier d'etats de calques")) { (lm_load_layers_config_file) }
  cmd2111.small_icon = "Layer Manager/Config_calques_chargerf_Small.png"
  cmd2111.large_icon = "Layer Manager/Config_calques_chargerf_Large.png"
  cmd2111.tooltip = "Charger fichier d'etats de calque"
  layers_tb.add_item(cmd2111)
  
  #Delete layer config
  cmd9 = UI::Command.new(("Effacer etat de calques")) { (lm_delete_layers_config) }
  cmd9.small_icon = "Layer Manager/Config_calques_effacer_Small.png"
  cmd9.large_icon = "Layer Manager/Config_calques_effacer_Large.png"
  cmd9.tooltip = "Effacer etat de calques"
  layers_tb.add_item(cmd9)
  
  layers_tb.add_separator
  
  #All layers visible
  cmd4 = UI::Command.new(("Afficher tous les calques")) { (lm_all_visible) }
  cmd4.small_icon = "Layer Manager/Calques_afficher_tous_Small.png"
  cmd4.large_icon = "Layer Manager/Calques_afficher_tous_Large.png"
  cmd4.tooltip = "Afficher tous les calques"
  layers_tb.add_item(cmd4)
  
  #All layers invisible
  cmd6 = UI::Command.new(("Cacher tous les calques")) { (lm_all_invisible) }
  cmd6.small_icon = "Layer Manager/Calques_cacher_tous_Small.png"
  cmd6.large_icon = "Layer Manager/Calques_cacher_tous_Large.png"
  cmd6.tooltip = "Cacher tous les calques"
  layers_tb.add_item(cmd6)
  
  #Isolate selection
  cmd5 = UI::Command.new(("Isoler les calques de la selection")) { (lm_isolate_selection) }
  cmd5.small_icon = "Layer Manager/Calques_isoler_selection_Small.png"
  cmd5.large_icon = "Layer Manager/Calques_isoler_selection_Large.png"
  cmd5.tooltip = "Isoler les calques de la selection"
  layers_tb.add_item(cmd5)
  
  #Hide selection
  cmd7 = UI::Command.new(("Cacher les calques de la selection")) { (lm_hide_selection) }
  cmd7.small_icon = "Layer Manager/Calques_cacher_selection_Small.png"
  cmd7.large_icon = "Layer Manager/Calques_cacher_selection_Large.png"
  cmd7.tooltip = "Cacher les calques de la selection"
  layers_tb.add_item(cmd7)
  
  #Invert all layers status
  cmd8 = UI::Command.new(("Inverser la visibilite des calques")) { (lm_invert) }
  cmd8.small_icon = "Layer Manager/Calques_inverser_Small.png"
  cmd8.large_icon = "Layer Manager/Calques_inverser_Large.png"
  cmd8.tooltip = "Inverser la visibilite des calques"
  layers_tb.add_item(cmd8)

  layers_tb.add_separator
  
  #Isolate using a filter string
  cmd9 = UI::Command.new(("Isoler des calques par filtre")) { (lm_filter("isoler")) }
  cmd9.small_icon = "Layer Manager/Calques_isoler_filtre_Small.png"
  cmd9.large_icon = "Layer Manager/Calques_isoler_filtre_Large.png"
  cmd9.tooltip = "Isoler des calques par filtre"
  layers_tb.add_item(cmd9)  
  
  #Add using a filter string
  cmd9 = UI::Command.new(("Afficher des calques par filtre")) { (lm_filter("afficher")) }
  cmd9.small_icon = "Layer Manager/Calques_ajouter_filtre_Small.png"
  cmd9.large_icon = "Layer Manager/Calques_ajouter_filtre_Large.png"
  cmd9.tooltip = "Afficher des calques par filtre"
  layers_tb.add_item(cmd9)
  
  #Hide using a filter string
  cmd10 = UI::Command.new(("Cacher des calques par filtre")) { (lm_filter("cacher")) }
  cmd10.small_icon = "Layer Manager/Calques_cacher_filtre_Small.png"
  cmd10.large_icon = "Layer Manager/Calques_cacher_filtre_Large.png"
  cmd10.tooltip = "Cacher des calques par filtre"
  layers_tb.add_item(cmd10)
  
# End of load
$layer_manager_menu_loaded = true
end
file_loaded("fr_layer_manager_extension_v6.rb")
